> For the complete documentation index, see [llms.txt](https://docs.compendium.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compendium.finance/pendax/using-pendax-sdk/bitget-functions/public-spot.md).

# Public (Spot)

### Get Server Time <a href="#get-server-time" id="get-server-time"></a>

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/spot/#get-server-time>
{% endhint %}

#### Function name:

```javascript
getServerTime()
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getServerTime(exchange) {
    try {
        let result = await exchange.getServerTime();
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getServerTime(myBitgetAccount)
```

### Get Coin List

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/spot/#get-coin-list>
{% endhint %}

#### Function name:

```javascript
getCoinList()
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getCoinList(exchange) {
    try {
        let result = await exchange.getCoinList();
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getCoinList(myBitgetAccount)
```

### Get Symbols

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/spot/#get-symbols>
{% endhint %}

#### Function name:

```javascript
getSymbols()
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getSymbols(exchange) {
    try {
        let result = await exchange.getSymbols();
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getSymbols(myBitgetAccount)
```

### Get Single Symbol

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/spot/#get-single-symbol>
{% endhint %}

#### Function name:

```javascript
getSingleSymbol()
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getSingleSymbol(exchange) {
    try {
        let result = await exchange.getSingleSymbol();
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getSingleSymbol(myBitgetAccount, 
{
    symbol: "BTCUSDT_SPBL"
})
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.compendium.finance/pendax/using-pendax-sdk/bitget-functions/public-spot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
